| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
cv::cudev::ZipPtr< tuple< Ptr0, Ptr1, Ptr2 > > Struct Template Reference
CUDA-accelerated Computer Vision » Device layer

`#include <opencv2/cudev/ptr2d/zip.hpp>`

Collaboration diagram for cv::cudev::ZipPtr< tuple< Ptr0, Ptr1, Ptr2 > >:

## Public Types
typedef PtrTraits< Ptr0 >::index_type | index_type
typedef tuple< typename PtrTraits< Ptr0 >::value_type, typename PtrTraits< Ptr1 >::value_type, typename PtrTraits< Ptr2 >::value_type > | value_type

## Public Member Functions
__host__ __device__ __forceinline__ | ZipPtr ()
__host__ __device__ __forceinline__ | ZipPtr (const tuple< Ptr0, Ptr1, Ptr2 > &t)
__device__ __forceinline__ value_type | operator() (index_type y, index_type x) const

## Member Typedef Documentation

## ◆ index_type

template<class Ptr0 , class Ptr1 , class Ptr2 >

PtrTraits<Ptr0>::index_type cv::cudev::ZipPtr< tuple< Ptr0, Ptr1, Ptr2 > >::index_type

## ◆ value_type

template<class Ptr0 , class Ptr1 , class Ptr2 >

tuple<typename PtrTraits<Ptr0>::value_type, typename PtrTraits<Ptr1>::value_type, typename PtrTraits<Ptr2>::value_type> cv::cudev::ZipPtr< tuple< Ptr0, Ptr1, Ptr2 > >::value_type

## Constructor & Destructor Documentation

## ◆ ZipPtr() [1/2]

template<class Ptr0 , class Ptr1 , class Ptr2 >

__host__ __device__ __forceinline__ cv::cudev::ZipPtr< tuple< Ptr0, Ptr1, Ptr2 > >::ZipPtr | ( |  | ) |
| inline

## ◆ ZipPtr() [2/2]

template<class Ptr0 , class Ptr1 , class Ptr2 >

__host__ __device__ __forceinline__ cv::cudev::ZipPtr< tuple< Ptr0, Ptr1, Ptr2 > >::ZipPtr | ( | const tuple< Ptr0, Ptr1, Ptr2 > & | t | ) |
| inline

## Member Function Documentation

## ◆ operator()()

template<class Ptr0 , class Ptr1 , class Ptr2 >

__device__ __forceinline__ value_type cv::cudev::ZipPtr< tuple< Ptr0, Ptr1, Ptr2 > >::operator() | ( | index_type | y,
|  | index_type | x ) const
| inline

The documentation for this struct was generated from the following file:

- opencv2/cudev/ptr2d/zip.hpp